package com.admost.admost_flutter_plugin;

import android.app.Activity;
import android.content.Context;
import java.util.HashMap;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class AdmostBannerFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;
    private final Activity activity;

    public AdmostBannerFactory(BinaryMessenger messenger, Activity activity) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.activity = activity;
    }

    @Override
    public PlatformView create(Context context, int id, Object o) {
        return new AdmostBanner(activity, messenger, id, (HashMap) o);
    }
}