import 'package:flutter/services.dart';
import 'admost_event_handler.dart';

class AdmostBannerController extends AdmostEventHandler {
  final MethodChannel _channel;

  AdmostBannerController(
      int id, Function(AdmostAdEvent, Map<String, dynamic>) listener)
      : _channel = MethodChannel('admost_flutter/banner_$id'),
        super(listener) {
    if (listener != null) {
      _channel.setMethodCallHandler(handleEvent);
      _channel.invokeMethod('setListener');
    }
  }

  void dispose() {
    _channel.invokeMethod('dispose');
  }
}
